<!doctype html>
<html lang="en">
<head>
<title>97-ruby-team-bof</title>
<meta name="generator" content="Etherpad">
<meta name="author" content="Etherpad">
<meta name="changedby" content="Etherpad">
<meta charset="utf-8">
<style>
ol {
  counter-reset: item;
}

ol > li {
  counter-increment: item;
}

ol ol > li {
  display: block;
}

ol > li {
  display: block;
}

ol > li:before {
  content: counters(item, ".") ". ";
}

ol ol > li:before {
  content: counters(item, ".") ". ";
  margin-left: -20px;
}

ul.indent {
  list-style-type: none;
}


</style>
</head>
<body>
<span class="anonymous" title="anonymous"></span><br><span class="a_XBalhRsIdAmAny9x" title="a_XBalhRsIdAmAny9x" style="background-color:#359280">DC21 - Ruby team BoF</span><br><span class="a_XBalhRsIdAmAny9x" title="a_XBalhRsIdAmAny9x" style="background-color:#359280"></span><br><span class="a_XBalhRsIdAmAny9x" title="a_XBalhRsIdAmAny9x" style="background-color:#359280">Welcome everyone to the annual Ruby team BoF! Below you can find some topic to discuss during this meeting, feel free to add anything you consider relevant.</span><br><span class="a_XBalhRsIdAmAny9x" title="a_XBalhRsIdAmAny9x" style="background-color:#359280"></span><br><span class="a_XBalhRsIdAmAny9x" title="a_XBalhRsIdAmAny9x" style="background-color:#359280">== Agenda ==</span><br><span class="a_B2njlZWQ60jI9TJG" title="a_B2njlZWQ60jI9TJG" style="background-color:#20e350">#d</span><span class="a_IpZ0kyB4FuhEsDnU" title="a_IpZ0kyB4FuhEsDnU" style="background-color:#e932e6">ebian-ruby #dc21-talks-1</span><span class="a_XBalhRsIdAmAny9x" title="a_XBalhRsIdAmAny9x" style="background-color:#359280"></span><br><span class="a_XBalhRsIdAmAny9x" title="a_XBalhRsIdAmAny9x" style="background-color:#359280">- Introductions?</span><br><span class="a_XBalhRsIdAmAny9x" title="a_XBalhRsIdAmAny9x" style="background-color:#359280">- Some statistics from the team, not too different from what we analysed last year</span><br><span class="a_XBalhRsIdAmAny9x" title="a_XBalhRsIdAmAny9x" style="background-color:#359280">  + http://blends.debian.net/liststats/bugs_pkg-ruby.png</span><br><span class="a_XBalhRsIdAmAny9x" title="a_XBalhRsIdAmAny9x" style="background-color:#359280">  + http://blends.debian.net/liststats/authorstat_debian-ruby.png</span><br><span class="a_XBalhRsIdAmAny9x" title="a_XBalhRsIdAmAny9x" style="background-color:#359280">  + http://blends.debian.net/liststats/commitstat_ruby-team.png</span><br><span class="a_XBalhRsIdAmAny9x" title="a_XBalhRsIdAmAny9x" style="background-color:#359280">  + http://blends.debian.net/liststats/maintainer_per_package_ruby-team.png</span><br><span class="a_XBalhRsIdAmAny9x" title="a_XBalhRsIdAmAny9x" style="background-color:#359280">  + http://blends.debian.net/liststats/uploaders_pkg-ruby.png</span><br><span class="a_XBalhRsIdAmAny9x" title="a_XBalhRsIdAmAny9x" style="background-color:#359280">  + http://blends.debian.net/liststats/wnpp_pkg-ruby.png</span><br><span class="a_XBalhRsIdAmAny9x" title="a_XBalhRsIdAmAny9x" style="background-color:#359280">- Monthly meetings. Do we want to get back to that?</span><br><span class="a_XBalhRsIdAmAny9x" title="a_XBalhRsIdAmAny9x" style="background-color:#359280">  + ACTION ITEM: send an email to the mailing list proposing the usage of </span><span class="a_qk1ySM8Mu9VX6uHD" title="a_qk1ySM8Mu9VX6uHD" style="background-color:#7cc534">ruby-team/</span><span class="a_XBalhRsIdAmAny9x" title="a_XBalhRsIdAmAny9x" style="background-color:#359280">meta </span><span class="a_qk1ySM8Mu9VX6uHD" title="a_qk1ySM8Mu9VX6uHD" style="background-color:#7cc534">salsa</span><span class="a_XBalhRsIdAmAny9x" title="a_XBalhRsIdAmAny9x" style="background-color:#359280"> project issues to coordinate our monthly work. (kanashiro)</span><br><span class="a_XBalhRsIdAmAny9x" title="a_XBalhRsIdAmAny9x" style="background-color:#359280">- Ruby 3.0 transition. Are we ready to start breaking everything? :)</span><br><span class="a_XBalhRsIdAmAny9x" title="a_XBalhRsIdAmAny9x" style="background-color:#359280">  + Next step is to upload ruby3.0 to unstable and enable both interpreters in</span><br><span class="a_XBalhRsIdAmAny9x" title="a_XBalhRsIdAmAny9x" style="background-color:#359280">    ruby-defaults. Then starting rebuilding revdeps.</span><span class="a_qk1ySM8Mu9VX6uHD" title="a_qk1ySM8Mu9VX6uHD" style="background-color:#7cc534"></span><br><span class="a_qk1ySM8Mu9VX6uHD" title="a_qk1ySM8Mu9VX6uHD" style="background-color:#7cc534">    - Keep the initial list of broken packages somewhere so it can help in fasttrack rebuilds (may be good idea to ask debian janitor if this can be automated)</span><br><span class="a_qk1ySM8Mu9VX6uHD" title="a_qk1ySM8Mu9VX6uHD" style="background-color:#7cc534">    - Find the native build tools that created ruby version independant packages (they don't link against libruby - ruby-ffi-compiler, may we should try and build more packages using this tool)</span><span class="a_XBalhRsIdAmAny9x" title="a_XBalhRsIdAmAny9x" style="background-color:#359280"></span><br><span class="a_XBalhRsIdAmAny9x" title="a_XBalhRsIdAmAny9x" style="background-color:#359280">    - ci.debian.net has a new feature to trigger tests targeting random git repos, let's try to use that!</span><br><span class="a_XBalhRsIdAmAny9x" title="a_XBalhRsIdAmAny9x" style="background-color:#359280">    - list breaking changes for other developers in the mailing list</span><br><span class="a_XBalhRsIdAmAny9x" title="a_XBalhRsIdAmAny9x" style="background-color:#359280">- Improvements to our tooling. There are some emails in our mailing list with people saying that we should do this or that in our tooling, can we coordinate the next steps?</span><br><span class="a_XBalhRsIdAmAny9x" title="a_XBalhRsIdAmAny9x" style="background-color:#359280">  + !?!?</span><span class="a_qk1ySM8Mu9VX6uHD" title="a_qk1ySM8Mu9VX6uHD" style="background-color:#7cc534"></span><br><span class="a_qk1ySM8Mu9VX6uHD" title="a_qk1ySM8Mu9VX6uHD" style="background-color:#7cc534">   https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=975097 empty plugins directory</span><br><span class="a_0KIJCRfJsTcciFlM" title="a_0KIJCRfJsTcciFlM" style="background-color:#7eadf3"> </span><span class="a_qk1ySM8Mu9VX6uHD" title="a_qk1ySM8Mu9VX6uHD" style="background-color:#7cc534">  https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=893619 require tests in addition to gem detecttion</span><br><span class="a_0KIJCRfJsTcciFlM" title="a_0KIJCRfJsTcciFlM" style="background-color:#7eadf3"> </span><span class="a_qk1ySM8Mu9VX6uHD" title="a_qk1ySM8Mu9VX6uHD" style="background-color:#7cc534">  https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=952580 multiple gemspec files in root</span><span class="a_yahHeWXUAaGlUbh0" title="a_yahHeWXUAaGlUbh0" style="background-color:#9c0fb8"></span><br><span class="a_yahHeWXUAaGlUbh0" title="a_yahHeWXUAaGlUbh0" style="background-color:#9c0fb8">   We need to f</span><span class="a_IpZ0kyB4FuhEsDnU" title="a_IpZ0kyB4FuhEsDnU" style="background-color:#e932e6">ind</span><span class="a_yahHeWXUAaGlUbh0" title="a_yahHeWXUAaGlUbh0" style="background-color:#9c0fb8"> new people to hack on gem2deb</span><br><span class="a_yahHeWXUAaGlUbh0" title="a_yahHeWXUAaGlUbh0" style="background-color:#9c0fb8">   We can add this to out (returning?) period meetings, i.e. live coding/pair programming session</span><span class="a_XBalhRsIdAmAny9x" title="a_XBalhRsIdAmAny9x" style="background-color:#359280"></span><br><span class="a_XBalhRsIdAmAny9x" title="a_XBalhRsIdAmAny9x" style="background-color:#359280">- Ruby Sprints 2022!?</span><br><span class="a_XBalhRsIdAmAny9x" title="a_XBalhRsIdAmAny9x" style="background-color:#359280">  + We could plan that a bit; things look okay so far to have sprints in 2022.</span><br><span class="a_XBalhRsIdAmAny9x" title="a_XBalhRsIdAmAny9x" style="background-color:#359280">  + Any takers for hosting? (ideally somewhere in Europe (maybe piggyback w/ FOSDEM?))</span><span class="a_B2njlZWQ60jI9TJG" title="a_B2njlZWQ60jI9TJG" style="background-color:#20e350"></span><br><span class="a_B2njlZWQ60jI9TJG" title="a_B2njlZWQ60jI9TJG" style="background-color:#20e350">    +</span><span class="a_IpZ0kyB4FuhEsDnU" title="a_IpZ0kyB4FuhEsDnU" style="background-color:#e932e6"> </span><span class="a_B2njlZWQ60jI9TJG" title="a_B2njlZWQ60jI9TJG" style="background-color:#20e350"> boutil would be happy to organize a new sprint in Paris but would be also happy to travel elsewhere (the others too maybe)</span><span class="a_IpZ0kyB4FuhEsDnU" title="a_IpZ0kyB4FuhEsDnU" style="background-color:#e932e6"></span><br><span class="a_IpZ0kyB4FuhEsDnU" title="a_IpZ0kyB4FuhEsDnU" style="background-color:#e932e6">  - Not sure if FOSDEM 2022 will be in person in Brussels or Online yet, wouter told me we are still waiting for the ULB University to answer us in a week or two and then there will be an announcment so maybe Debcamp 2022/Debconf 2022 in Kosovo is more sane with this pandemic situation going on still</span><br><span class="a_IpZ0kyB4FuhEsDnU" title="a_IpZ0kyB4FuhEsDnU" style="background-color:#e932e6">  </span><br><span class="a_IpZ0kyB4FuhEsDnU" title="a_IpZ0kyB4FuhEsDnU" style="background-color:#e932e6">AOB:</span><span class="a_yahHeWXUAaGlUbh0" title="a_yahHeWXUAaGlUbh0" style="background-color:#9c0fb8"></span><br><span class="a_yahHeWXUAaGlUbh0" title="a_yahHeWXUAaGlUbh0" style="background-color:#9c0fb8">    </span><br><span class="a_yahHeWXUAaGlUbh0" title="a_yahHeWXUAaGlUbh0" style="background-color:#9c0fb8">    rubocop-packaging (utkarsh's gsoc project) is now used by 500+ ruby projects (NICE!)</span><br><ul class="indent"><li><span class="a_yahHeWXUAaGlUbh0" title="a_yahHeWXUAaGlUbh0" style="background-color:#9c0fb8">*</span><span class="a_yahHeWXUAaGlUbh0" title="a_yahHeWXUAaGlUbh0" style="background-color:#9c0fb8">    needs more documentation</span><span class="a_IpZ0kyB4FuhEsDnU" title="a_IpZ0kyB4FuhEsDnU" style="background-color:#e932e6"></span></li><li><span class="a_IpZ0kyB4FuhEsDnU" title="a_IpZ0kyB4FuhEsDnU" style="background-color:#e932e6">*</span><span class="a_IpZ0kyB4FuhEsDnU" title="a_IpZ0kyB4FuhEsDnU" style="background-color:#e932e6">redmine/vagrant Ruby on Rails </span><span class="a_yahHeWXUAaGlUbh0" title="a_yahHeWXUAaGlUbh0" style="background-color:#9c0fb8"></span></li><li><span class="a_yahHeWXUAaGlUbh0" title="a_yahHeWXUAaGlUbh0" style="background-color:#9c0fb8">*</span><span class="a_N1eVW3guRpivQu37" title="a_N1eVW3guRpivQu37" style="background-color:#a283f6"></span></ul><span class="a_IpZ0kyB4FuhEsDnU" title="a_IpZ0kyB4FuhEsDnU" style="background-color:#e932e6"></span><br><span class="a_IpZ0kyB4FuhEsDnU" title="a_IpZ0kyB4FuhEsDnU" style="background-color:#e932e6">Questions:</span><br><span class="a_N1eVW3guRpivQu37" title="a_N1eVW3guRpivQu37" style="background-color:#a283f6"></span><br><span class="a_N1eVW3guRpivQu37" title="a_N1eVW3guRpivQu37" style="background-color:#a283f6">What kind of skills are expected to be part of ruby team?</span><span class="a_bGlhj1OKLaS9GsMF" title="a_bGlhj1OKLaS9GsMF" style="background-color:#c3ba91"></span><br><span class="a_bGlhj1OKLaS9GsMF" title="a_bGlhj1OKLaS9GsMF" style="background-color:#c3ba91">https://wiki.debian.org/Teams/Ruby provides pointers and entry points for the team</span><span class="a_DCmBGQPOnyDoFk78" title="a_DCmBGQPOnyDoFk78" style="background-color:#ccb4c0"></span><br><span class="a_DCmBGQPOnyDoFk78" title="a_DCmBGQPOnyDoFk78" style="background-color:#ccb4c0"></span><br><span class="a_DCmBGQPOnyDoFk78" title="a_DCmBGQPOnyDoFk78" style="background-color:#ccb4c0">What should developers have to know, (is there anything major) about porting to Ruby 3.0?</span><br><span class="a_DCmBGQPOnyDoFk78" title="a_DCmBGQPOnyDoFk78" style="background-color:#ccb4c0">The release notes are somewhere, but when I've peeked at it it didn't seem anything major but some seemed worried. </span><span class="a_B2njlZWQ60jI9TJG" title="a_B2njlZWQ60jI9TJG" style="background-color:#20e350"></span><br><span class="a_B2njlZWQ60jI9TJG" title="a_B2njlZWQ60jI9TJG" style="background-color:#20e350">https://www.ruby-lang.org/en/news/2020/12/25/ruby-3-0-0-released/</span><br><span class="a_B2njlZWQ60jI9TJG" title="a_B2njlZWQ60jI9TJG" style="background-color:#20e350">https://github.com/ruby/ruby/blob/v3_0_0/NEWS.md <- Ruby 3.0 release notes</span><span class="anonymous" title="anonymous"></span><br>
</body>
</html>
